Subject: Re: bug#72765: Eglot + Clangd + Company + non-empty suffix = duplicate text

From: João Távora <[email-masked]>
Date: Sat, 31 Aug 2024 13:03:38 +0100

On Sat, Aug 31, 2024 at 7:47 AM Eli Zaretskii <[email-masked]> wrote:
>
> > Date: Sat, 31 Aug 2024 00:23:32 +0300
> > Cc: [email-masked]
> > From: Dmitry Gutov <[email-masked]>
> >
> > On 29/08/2024 14:34, Eli Zaretskii wrote:
> > > Is this an Eglot problem or a completion-at-point problem?
> >
> > Looks like it belongs to Eglot.
> >
> > It might be difficult to fix, especially given slight behavior
> > differences between servers, but I think it's worth investigating.
>
> João, do you have any comments or suggestions about this?

Looks like a bug, somewhere. Somehow these new company
versions don't follow exactly the same protocol as completion-at-point.
Eglot aims primarily at that, since it's what's in Emacs proper. But
Eglot also aims at supporting Company in particular as fully
as possible.

Anyway, I don't have time to investigate this. The :exit-function in
eglot.el should be stepped through to understand exactly who's at
fault. And I don't think differences between servers matter:
clangd is likely following the spec correctly here.

João